<script type="text/javascript" src="../js/session_datos.js"></script>
<!DOCTYPE HTML>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title>Highcharts</title>

        <script type="text/javascript" src="../vendor/jquery/dist/jquery.js"></script>


        <style type="text/css">

        </style>
<script type="text/javascript">

var data = obtenerData();

var datos = new Array();

var a_cat = new Array();
var a_actual   = new Array();
var a_anterior = new Array();
var a_ben = new Array();
var a_tic = new Array();

a_cat[0] = "Ene";
a_cat[1] = "Feb";
a_cat[2] = "Mar";
a_cat[3] = "Abr";
a_cat[4] = "May";
a_cat[5] = "Jun";
a_cat[6] = "Jul";
a_cat[7] = "Ago";
a_cat[8] = "Sep";
a_cat[9] = "Oct";
a_cat[10] = "Nov";
a_cat[11] = "Dic";

for (var i = 0; i < 12; i++) {
    a_anterior[i] = data.tot_tik_mes[0][i];
    a_actual[i] = data.tot_tik_mes[1][i];   
}
// var beneficio_actual = data.totalben_ant + data.totalben - data.totalper;

$(function () {
    $('#container').highcharts({
        credits: { enabled: false },
        exporting: { enabled: false },
        title: { text: '' },
        xAxis: {
            categories: a_cat
        },
        labels: {
            items: [{
                html: '',
                style: {
                    left: '18px',
                    top: '0px',
                    color: (Highcharts.theme && Highcharts.theme.textColor) || 'black'
                }
            }]
        },
        series: [{
            type: 'column',
            name: data.tot_ven_mes[5][1],
            data: a_actual,
        }, {
            type: 'spline',
            name: data.tot_ven_mes[5][0],
            data: a_anterior,
            marker: {
                lineWidth: 2,
                lineColor: Highcharts.getOptions().colors[7],
                fillColor: 'white'
            }
        }
        // , {
        //     type: 'pie',
        //     name: 'Total',
        //     data: [{
        //         name: 'Ventas',
        //         y: data.totalven,
        //         color: Highcharts.getOptions().colors[0] // Ventas's color
        //     }, {
        //         name: 'Compras',
        //         y: data.totalcom,
        //         color: Highcharts.getOptions().colors[1] // Compras's color
        //     }, {
        //         name: 'Beneficio',
        //         y: data.totalben,
        //         color: Highcharts.getOptions().colors[2] // Beneficio's color
        //     }, {
        //         name: 'Perdida',
        //         y: data.totalper,
        //         color: Highcharts.getOptions().colors[8] // Compras's color
        //     }],
        //     center: [60, 23],
        //     size: 60,
        //     showInLegend: false,
        //     dataLabels: {
        //         enabled: false
        //     }
        // }
        ]
    });
});
        </script>
    </head>
    <body>
<script src="../js/js-charts/highcharts.js"></script>
<script src="../js/js-charts/modules/exporting.js"></script>

<div id="container" style="min-width: 310px; height: 285px; margin: 0 auto"></div>

    </body>
</html>